<mat-card>
  <mat-card-title>Profile</mat-card-title>
  <mat-card-subtitle>Update your profile</mat-card-subtitle>
  <mat-card-content>
    Display Name :
    <mat-form-field>
      <input
        matInput
        [(ngModel)]="currentMatch.displayName"
      />
    </mat-form-field>
    <mat-divider></mat-divider>
    <br/>
    Age :
    <mat-form-field>
      <input
        matInput
        [(ngModel)]="currentMatch.age"
      />

    </mat-form-field>
    yrs
    <mat-divider></mat-divider>
    <br/>
    Height :
    <mat-form-field
      ><input
        matInput
        [(ngModel)]="currentMatch.heightInCm"
      />
      </mat-form-field
    >cms
    <mat-divider></mat-divider>
    <br/>
    Job Title :
    <mat-form-field
      ><input
        matInput
        [(ngModel)]="currentMatch.jobTitle"
    /></mat-form-field>
    <mat-divider></mat-divider>
    <br/>
    Religion :
    <mat-form-field
      ><input
        matInput
        [(ngModel)]="currentMatch.religion"
      />
    </mat-form-field>
  </mat-card-content>
  <mat-card-actions align="start">
    <button mat-raised-button color="primary" [routerLink]="['/matches']">
      Return
    </button>
  </mat-card-actions>
  <mat-card-actions align="end">
    <button mat-raised-button color="primary" (click)="updateprofile()">
      Save
    </button>
  </mat-card-actions>
</mat-card>
